A Viber legegyszerűbb telepítése

keraform képe

Ha használod a VirtualBoxot, akkor telepítés előtt olvasd el ezt: https://linuxmint.hu/comment/25537#comment-25537

Ha nem használod, és szeretnéd egyszerűen telepíteni a Vibert, tedd ezt:

Töltsd le a Viber oldaláról a telepítő deb fájlt: https://download.cdn.viber.com/cdn/desktop/Linux/viber.deb

Linux Mint 18.3 esetén
Nyiss egy terminált a Letöltés mappában, majd írd be ezt:

sudo dpkg -i viber.deb

Linux Mint 19 esetén
Nyiss egy terminált a Letöltés mappában, majd írd be ezeket:

sudo apt install libcurl3
sudo dpkg -i viber.deb

Én így telepítettem erre a két rendszerre. Kb. 1 perc az egész.

Hozzászólások

kimarite képe

libcurl3, libcurl4

Idézek:

Ha nem használod, és szeretnéd egyszerűen telepíteni a Vibert, tedd ezt:
...
Linux Mint 19 esetén
Nyiss egy terminált a Letöltés mappában, majd írd be ezeket:

sudo apt install libcurl3
sudo dpkg -i viber.deb

Én így telepítettem erre a két rendszerre. Kb. 1 perc az egész.

Sajnos, nem sikerült egészen megérteni a lényeget, hogy a libcurl3 távolítja el (például) a Virtualbox-ot, tehát telepíteni felesleges, és értelmetlen. Abban az esetben, ha a libcurl4 telepítve van (amely a Virtualbox függősége is), úgy a libcurl4 alkalmazást is eltávolítja a libcurl3 telepítése.

sudo apt-get install libcurl3 -s
Csomaglisták olvasása... Kész
Függőségi fa építése       
Állapotinformációk olvasása... Kész
A következő csomag automatikusan lett telepítve, és már nincs rá szükség:
  python3-evdev
Ezt az „sudo apt autoremove” paranccsal törölheti.
Az alábbi csomagok el lesznek TÁVOLÍTVA:
  curl libcurl4 lutris steam-launcher viber virtualbox-6.0
Az alábbi ÚJ csomagok lesznek telepítve:
  libcurl3
0 frissített, 1 újonnan telepített, 6 eltávolítandó és 23 nem frissített.
Remv steam-launcher [1.0.0.59]
Remv lutris [0.4.23]
Remv curl [7.58.0-2ubuntu3.5]
Remv virtualbox-6.0 [6.0.0-127566~Ubuntu~bionic]
Remv viber [7.0.0.1035]
Remv libcurl4 [7.58.0-2ubuntu3.5]
Inst libcurl3 (7.58.0-2ubuntu2 Ubuntu:18.04/bionic [amd64])
Conf libcurl3 (7.58.0-2ubuntu2 Ubuntu:18.04/bionic [amd64])

és vele együtt minden alkalmazást, melyeknek a libcurl4 a függősége. Nocsak, nocsak ... nemcsak Virtualbox távolítódik el.

De még más alkalmazásokat is eltávolít a libcurl3 telepítése, meg nem mondom, melyeket, nem is feladatom ez. Mégis, eszembe jut még egy: a MongoDB-nek is a libcurl3 kell. Úgyhogy, felesleges ezt az egy alkalmazást kiemelni: Virtualbox. Merthogy a Viber térfelén van gond, ha nem lenne világos. Ezt leírtam a blogomban is. És senkinek eszébe nem jutna a libcurl3-at telepíteni, ha te itt és most nem javasolnád.

-----

A másik dolog, hogy azt nem értem, ha van egy elég jó leírás, egy blog (amely mellesleg most az enyém), akkor miért kell még egyszer blogot nyitni ugyanarról a témáról?

Itt, a blogban is linkelve is lett az én leírásom, úgyhogy, a fenti összefüggések olvashatóak, továbbá ott is mindenre kitértem, hiányt én nem érzek:

Ha használod a VirtualBoxot, akkor telepítés előtt olvasd el ezt: https://linuxmint.hu/comment/25537#comment-25537

Javaslatom az lenne: inkább tényleg saját ötletek. Az nem unalmas ... . És nem félrevezető.
Másrészt leginkább azért szóltam hozzá, mert a Curl, a Steam, a Lutris, meg a „nemtudommi” is eltávolítódna, ha valaki ezt a leírást követné: https://www.linuxmint.hu/blog/2019/01/a-viber-legegyszerubb-telepitese

Értékelés: 

5
Átlag: 5 (1 szavazat)
kimarite képe

A Letöltés mappa

Másrészt a leírás (blog) még egy oldalról „sántít”. Ilyen könyvtár (más elnevezéssel: mappa), hogy „Letöltés”, egész egyszerűen nem létezik. Ha meg arra gondoltál, ahova letölti a felhasználó, oda navigáljon el, akkor azt jelezi kéne, és nem nagy betűkkel írni, mert félrevezető. Nehéz a magyar nyelv, én is itt tájékozódom, mi, mit jelent (nagy kezdőbetű):
https://www.linuxmint.hu/blog/2019/01/eggy-kis-hejes-iras

Letöltések könyvtár létezik (Linux Mint 19.1 alatt, de ...). Nézzük:

ls

Igen:

 alsa-info.sh            Képek                 Telegram
 Asztal                  kim-default.conkyrc   VIA_Rhine_Win8_V1.8.0.0
 channels.xspf           Letöltések            VIA_Rhine_Win8_V1.8.0.0_SV.zip
 channels.xspf.ORIG      netvf63a.inf          Viber
 chromium_teszt_01.txt   Nyilvános             Viber_libcurl4.zip
 Dokumentumok            OffRoad               Videók
 dvb_c.sh                OffRoad-bin-0.2.zip  'VirtualBox VMs'
 dwhelper                Sablonok              wget-log
 jd2                     sha256sum.txt         Zenék

Egy szóval sem említed azt sem, hogy a Letöltés (vagy Letöltések) könyvtárba kell letölteni a DEB-et (idézek):

Töltsd le a Viber oldaláról a telepítő deb fájlt: https://download.cdn.viber.com/cdn/desktop/Linux/viber.deb
Linux Mint 18.3 esetén
Nyiss egy terminált a Letöltés mappában, majd írd be ezt:

sudo dpkg -i viber.deb
Linux Mint 19 esetén
Nyiss egy terminált a Letöltés mappában, majd írd be ezeket: ...

Ez esetben a felhasználó hibára fut. Íme:

kim@kim-hp:~$ cd Letöltések/
kim@kim-hp:~/Letöltések$ sudo dpkg -i viber.deb
[sudo] kim jelszava:
dpkg: hiba: cannot access archive 'viber.deb': Nincs ilyen fájl vagy könyvtár
kim@kim-hp:~/Letöltések$

Értékelés: 

5
Átlag: 5 (1 szavazat)

A Letöltés mappa A Letöltés mappa

#2

#2 ...hát ezt már eccer megtrágyaltuk,és megoldottuk,vagyis kimarite megoldotta...az opera sem mukkod hejesen...

Értékelés: 

5
Átlag: 5 (1 szavazat)